Accept Device (deprecated)
Device Authorization Flow - Authorize a device and attach it to a specific store
post/device/authorize
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Body
deviceCodestringRequired
storeUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+tillUidstringOptionalPattern:
^[A-Za-z0-9-_]+namestringOptional
Responses
200
OK
No content
400
Linking failed. Ther error message will have information about what failed.
application/json
post/device/authorize
POST /v2/device/authorize HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"deviceCode": "text",
"storeUid": "text",
"tenantUid": "text",
"tillUid": "text",
"name": "text"
}No content
Last updated
Was this helpful?

